Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface FilterMappingType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  FilterMappingTypeImpl

    public interface FilterMappingType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `filter-mappingType` xsd type

Original Documentation:

Declaration of the filter mappings in this web
application is done by using filter-mappingType.
The container uses the filter-mapping
declarations to decide which filters to apply to a request,
and in what order. The container matches the request URI to
a Servlet in the normal way. To determine which filters to
apply it matches filter-mapping declarations either on
servlet-name, or on url-pattern for each filter-mapping
element, depending on which style is used. The order in
which filters are invoked is the order in which
filter-mapping declarations that match a request URI for a
servlet appear in the list of filter-mapping elements.The
filter-name value must be the value of the filter-name
sub-elements of one of the filter declarations in the
deployment descriptor.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`DispatcherType` | `getDispatcher()` Returns the `dispatcher` element
`java.lang.String` | `getDispatcherAsString()` Returns the `dispatcher` element
`java.lang.String` | `getFilterName()` Returns the `filter-name` element
`java.lang.String` | `getServletName()` Returns the `servlet-name` element
`java.lang.String` | `getUrlPattern()` Returns the `url-pattern` element
`FilterMappingType<T>` | `removeFilterName()` Removes the `filter-name` element
`FilterMappingType<T>` | `removeServletName()` Removes the `servlet-name` element
`FilterMappingType<T>` | `removeUrlPattern()` Removes the `url-pattern` element
`FilterMappingType<T>` | `setDispatcher(DispatcherType dispatcher)` If not already created, a new `dispatcher` element with the given value will be created.
`FilterMappingType<T>` | `setDispatcher(java.lang.String dispatcher)` If not already created, a new `dispatcher` element with the given value will be created.
`FilterMappingType<T>` | `setFilterName(java.lang.String filterName)` If not already created, a new `filter-name` element with the given value will be created.
`FilterMappingType<T>` | `setServletName(java.lang.String servletName)` If not already created, a new `servlet-name` element with the given value will be created.
`FilterMappingType<T>` | `setUrlPattern(java.lang.String urlPattern)` If not already created, a new `url-pattern` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setFilterName

    FilterMappingType<T> setFilterName(java.lang.String filterName)

  If not already created, a new `filter-name` element with the given value will be created. Otherwise, the existing `filter-name` element will be updated with the given value.

  Returns:
    the current instance of `FilterMappingType`

### removeFilterName

    FilterMappingType<T> removeFilterName()

  Removes the `filter-name` element

  Returns:
    the current instance of `FilterMappingType`

### getFilterName

    java.lang.String getFilterName()

  Returns the `filter-name` element

  Returns:
    the node defined for the element `filter-name`

### setDispatcher

    FilterMappingType<T> setDispatcher(DispatcherType dispatcher)

  If not already created, a new `dispatcher` element with the given value will be created. Otherwise, the existing `dispatcher` element will be updated with the given value.

  Returns:
    the current instance of `FilterMappingType`

### setDispatcher

    FilterMappingType<T> setDispatcher(java.lang.String dispatcher)

  If not already created, a new `dispatcher` element with the given value will be created. Otherwise, the existing `dispatcher` element will be updated with the given value.

  Returns:
    the current instance of `FilterMappingType`

### getDispatcher

    DispatcherType getDispatcher()

  Returns the `dispatcher` element

  Returns:
    the node defined for the element `dispatcher`

### getDispatcherAsString

    java.lang.String getDispatcherAsString()

  Returns the `dispatcher` element

  Returns:
    the node defined for the element `dispatcher`

### setUrlPattern

    FilterMappingType<T> setUrlPattern(java.lang.String urlPattern)

  If not already created, a new `url-pattern` element with the given value will be created. Otherwise, the existing `url-pattern` element will be updated with the given value.

  Returns:
    the current instance of `FilterMappingType`

### removeUrlPattern

    FilterMappingType<T> removeUrlPattern()

  Removes the `url-pattern` element

  Returns:
    the current instance of `FilterMappingType`

### getUrlPattern

    java.lang.String getUrlPattern()

  Returns the `url-pattern` element

  Returns:
    the node defined for the element `url-pattern`

### setServletName

    FilterMappingType<T> setServletName(java.lang.String servletName)

  If not already created, a new `servlet-name` element with the given value will be created. Otherwise, the existing `servlet-name` element will be updated with the given value.

  Returns:
    the current instance of `FilterMappingType`

### removeServletName

    FilterMappingType<T> removeServletName()

  Removes the `servlet-name` element

  Returns:
    the current instance of `FilterMappingType`

### getServletName

    java.lang.String getServletName()

  Returns the `servlet-name` element

  Returns:
    the node defined for the element `servlet-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD